Skip to main content
PUT
/
1
/
slos
/
{datasetSlug}
/
{sloId}
Update an SLO
curl --request PUT \
  --url https://api.honeycomb.io/1/slos/{datasetSlug}/{sloId} \
  --header 'Content-Type: application/json' \
  --header 'X-Honeycomb-Team: <api-key>' \
  --data '
{
  "name": "My SLO",
  "sli": {
    "alias": "error_sli"
  },
  "time_period_days": 30,
  "target_per_million": 990000,
  "description": "SLO to ensure requests succeed and are fast",
  "tags": [
    {
      "key": "team",
      "value": "blue"
    }
  ]
}
'
{
  "name": "My SLO",
  "sli": {
    "alias": "error_sli"
  },
  "time_period_days": 30,
  "target_per_million": 990000,
  "id": "<string>",
  "description": "SLO to ensure requests succeed and are fast",
  "tags": [
    {
      "key": "team",
      "value": "blue"
    }
  ],
  "reset_at": "2022-011-11T09:53:04Z",
  "created_at": "2022-09-22T17:32:11Z",
  "updated_at": "2022-10-31T15:08:11Z",
  "dataset_slugs": [
    "mydataset1",
    "mydataset2"
  ]
}

Authorizations

X-Honeycomb-Team
string
header
required

A Honeycomb Configuration Key is required to use this API. A Configuration Key can be found in the API Keys section of the environment configuration, which can be found under Environment Settings -> API Keys -> Configuration tab. Check out our documentation to find your API Keys.

More information can be found in Manage Environments.

Path Parameters

datasetSlug
string
required

The dataset slug or use __all__ for endpoints that support environment-wide operations.

sloId
string
required

Unique identifier (ID) of the SLO.

Body

application/json

Partial updates are not supported.

name
string
required

The name of the SLO.

Required string length: 1 - 120
Example:

"My SLO"

sli
object
required

Reference to the Calculated Field used as the indicator of event success.

Example:
{ "alias": "error_sli" }
time_period_days
integer
required

The time period, in days, over which the SLO will be evaluated.

Required range: x >= 1
Example:

30

target_per_million
integer
required

The number of events out of one million (1,000,000) that you expected qualified events to succeed.

Required range: 0 <= x <= 999999
Example:

990000

description
string

A nice description of the SLO's intent and context.

Maximum string length: 1023
Example:

"SLO to ensure requests succeed and are fast"

tags
object[]

A list of key-value pairs to help identify the SLO.

Maximum array length: 10
Example:
[{ "key": "team", "value": "blue" }]

Response

Success

name
string
required

The name of the SLO.

Required string length: 1 - 120
Example:

"My SLO"

sli
object
required

Reference to the Calculated Field used as the indicator of event success.

Example:
{ "alias": "error_sli" }
time_period_days
integer
required

The time period, in days, over which the SLO will be evaluated.

Required range: x >= 1
Example:

30

target_per_million
integer
required

The number of events out of one million (1,000,000) that you expected qualified events to succeed.

Required range: 0 <= x <= 999999
Example:

990000

id
string
description
string

A nice description of the SLO's intent and context.

Maximum string length: 1023
Example:

"SLO to ensure requests succeed and are fast"

tags
object[]

A list of key-value pairs to help identify the SLO.

Maximum array length: 10
Example:
[{ "key": "team", "value": "blue" }]
reset_at
null | string<date-time>

The ISO8601-formatted time the SLO was last reset. The value will be null if the SLO has not yet been reset.

Example:

"2022-011-11T09:53:04Z"

created_at
string<date-time>

The ISO8601-formatted time when the SLO was created.

Example:

"2022-09-22T17:32:11Z"

updated_at
string<date-time>

The ISO8601-formatted time when the SLO was updated.

Example:

"2022-10-31T15:08:11Z"

dataset_slugs
array

The dataset(s) the SLO will be evaluated against. Required if using __all__ in the path.

Required array length: 1 - 10 elements
Example:
["mydataset1", "mydataset2"]